## tty-clock 1.0

=== Makefile ===
#TTY-Clock MakeFile
#Under BSD License
#See clock.c for the license detail.

SRC = ttyclock.c
CC = cc
BIN = tty-clock
INSTALLPATH = /usr/local/bin/
CFLAGS = -Wall -g
LDFLAGS = -lncurses


tty-clock : ${SRC}

	@echo "build ${SRC}"
	@echo "CC ${CFLAGS} ${LDFLAGS} ${SRC}"
	@${CC} ${CFLAGS} ${LDFLAGS} ${SRC} -o ${BIN}

install : ${BIN}

	@echo "installing binary file to ${INSTALLPATH}${BIN}"
	@cp ${BIN} ${INSTALLPATH}
	@chmod 755 ${INSTALLPATH}${BIN}
	@echo "installed"

uninstall :

	@echo "uninstalling binary file (${INSTALLPATH}${BIN})"
	@rm -f ${INSTALLPATH}${BIN}
	@echo "${BIN} uninstalled"
clean :

	@echo "cleaning ${BIN}"
	@rm ${BIN}
	@echo "${BIN} cleaned"

=== debian/changelog ===
tty-clock (1.0-4) unstable; urgency=low

  * fix more lintian errors
    * update to policy 3.9.2, no change
    * remove template from copyright file
    * just one big patch, we track changes in git
    * we still don't have a manpage though

 -- Antoine Beaupré <anarcat@koumbit.org>  Wed, 26 Oct 2011 22:42:47 -0400

tty-clock (1.0-3) unstable; urgency=low

  * Fix lintian warnings:
   * fix copyright symbol
   * remove unused dependencies
   * remove README.source since we're not using dpatch anymore

 -- Antoine Beaupré <anarcat@koumbit.org>  Sun, 21 Aug 2011 16:11:41 +0100

tty-clock (1.0-2) unstable; urgency=low

  * Add DM-Upload-Allowed field so that I can upload the package myself.
  * Add missing ncurses dependency (Closes: #637711)
  * Try to close ITP again (Closes: #609634).

 -- Antoine Beaupré <anarcat@koumbit.org>  Sun, 14 Aug 2011 11:46:55 +0200

tty-clock (1.0-1) unstable; urgency=low

  * Officially release 1.0
  * Port to dh(7) from cdbs
  * Add git-buildpackage config
  * Upload to unstable (Closes: #609634)

 -- Antoine Beaupré <anarcat@koumbit.org>  Sat, 16 Jul 2011 22:34:51 -0400

tty-clock (0~git20090617-1) unstable; urgency=low

  * Initial release (Closes: #609634)
  * Respect $DESTDIR and $PREFIX and use it
  * Merge in bugfixes found in related github branches

 -- Antoine Beaupré <anarcat@koumbit.org>  Mon, 10 Jan 2011 22:54:48 -0500

=== debian/control ===
Source: tty-clock
Section: utils
Priority: extra
Maintainer: Antoine Beaupré <anarcat@koumbit.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev
Standards-Version: 3.9.2
Homepage: http://github.com/xorg62/tty-clock/
Vcs-Git: git://github.com/xorg62/tty-clock.git
Vcs-Browser: http://github.com/xorg62/tty-clock/

Package: tty-clock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libncurses5
Description: simple terminal clock
 tty-clock is a simple ncurses-based clock that shows the time and date
 using a large display. It has a few commandline options to customize
 the output.

## tty-clock 1.1

=== Makefile ===
#TTY-Clock MakeFile
#Under BSD License
#See clock.c for the license detail.

SRC = ttyclock.c
CC = cc
BIN = tty-clock
PREFIX ?= /usr/local
INSTALLPATH = ${DESTDIR}${PREFIX}/bin
CFLAGS = -Wall -g
LIBS = -lncurses


tty-clock : ${SRC}

	@echo "build ${SRC}"
	@echo "CC ${CFLAGS} ${LDFLAGS} ${SRC} ${LIBS}"
	@${CC} ${CFLAGS} ${LDFLAGS} ${SRC} ${LIBS} -o ${BIN}

install : ${BIN}

	@echo "installing binary file to ${INSTALLPATH}/${BIN}"
	@cp ${BIN} ${INSTALLPATH}
	@chmod 755 ${INSTALLPATH}/${BIN}
	@echo "installed"

uninstall :

	@echo "uninstalling binary file (${INSTALLPATH})"
	@rm -f ${INSTALLPATH}/${BIN}
	@echo "${BIN} uninstalled"
clean :

	@echo "cleaning ${BIN}"
	@rm -f ${BIN}
	@echo "${BIN} cleaned"

=== debian/changelog ===
tty-clock (1.1-1) unstable; urgency=low

  * fix my email address
  * no more DM field, I am a DD
  * remove useless todo, we have an upstream 1.0
  * fix compile with --as-needed", thanks to Julian Taylor
    (Closes: #647316).
  * new upstream release factors in all patches
  * do not require upstream branch in git-buildpackage

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 06 Nov 2011 22:40:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tty-clock
 Section: utils
 Priority: extra
-Maintainer: Antoine Beaupré <anarcat@koumbit.org>
-DM-Upload-Allowed: yes
+Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev
 Standards-Version: 3.9.2
 Homepage: http://github.com/xorg62/tty-clock/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	PREFIX=/usr dh_auto_install

## tty-clock 2.0

=== Makefile ===
#TTY-Clock MakeFile
#Under BSD License
#See clock.c for the license detail.

SRC = ttyclock.c
CC = cc
BIN = tty-clock
PREFIX ?= /usr/local
INSTALLPATH = ${DESTDIR}${PREFIX}/bin
MANPATH = ${DESTDIR}${PREFIX}/share/man/man1
CFLAGS = -Wall -g -I $$(ncurses5-config --includedir)
LDFLAGS = -L $$(ncurses5-config --libdir) $$(ncurses5-config --libs)


tty-clock : ${SRC}

	@echo "build ${SRC}"
	@echo "CC ${CFLAGS} ${LDFLAGS} ${SRC}"
	@${CC} ${CFLAGS} ${SRC} -o ${BIN} ${LDFLAGS}

install : ${BIN}

	@echo "installing binary file to ${INSTALLPATH}/${BIN}"
	@mkdir -p ${INSTALLPATH}
	@cp ${BIN} ${INSTALLPATH}
	@chmod 0755 ${INSTALLPATH}/${BIN}
	@echo "installing manpage to ${MANPATH}/${BIN}.1"
	@mkdir -p ${MANPATH}
	@cp ${BIN}.1 ${MANPATH}
	@chmod 0644 ${MANPATH}/${BIN}.1
	@echo "installed"

uninstall :

	@echo "uninstalling binary file (${INSTALLPATH})"
	@rm -f ${INSTALLPATH}/${BIN}
	@echo "uninstalling manpage (${MANPATH})"
	@rm -f ${MANPATH}/${BIN}.1
	@echo "${BIN} uninstalled"
clean :

	@echo "cleaning ${BIN}"
	@rm -f ${BIN}
	@echo "${BIN} cleaned"

=== debian/changelog ===
tty-clock (2.0-2) unstable; urgency=low

  * upload to unstable

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 05 May 2013 17:12:26 -0400

tty-clock (2.0-1) experimental; urgency=low

  * new upstream (Closes: #689248, #686466, #700738).
  * fix Vcs-$foo headers, thanks to David Bremner (Closes: #702171).
  * upstream now has a manpage (Closes: #686466).
  * patch: fix hardening flags

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 08 Mar 2013 22:30:45 -0500

=== debian/control ===
Source: tty-clock
Section: utils
Priority: extra
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 9), libncurses5-dev
Standards-Version: 3.9.4
Homepage: https://github.com/carla-v/tty-clock/
Vcs-Git: git://git.koumbit.net/tty-clock
Vcs-Browser: https://redmine.koumbit.net/projects/tty-clock/repository

Package: tty-clock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libncurses5
Description: simple terminal clock
 tty-clock is a simple ncurses-based clock that shows the time and date
 using a large display. It has a few commandline options to customize
 the output.

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,8 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)"
+
 override_dh_auto_install:
 	PREFIX=/usr dh_auto_install

=== debian/watch ===
version=3

https://github.com/carla-v/tty-clock/tags .*/v?(\d[\d\.]+)\.tar\.gz

## tty-clock 2.1

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,19 @@
 #See clock.c for the license detail.
 
 SRC = ttyclock.c
-CC = cc
+CC ?= gcc
 BIN = tty-clock
 PREFIX ?= /usr/local
 INSTALLPATH = ${DESTDIR}${PREFIX}/bin
 MANPATH = ${DESTDIR}${PREFIX}/share/man/man1
-CFLAGS = -Wall -g -I $$(ncurses5-config --includedir)
-LDFLAGS = -L $$(ncurses5-config --libdir) $$(ncurses5-config --libs)
 
+ifeq ($(shell sh -c 'which ncurses5-config>/dev/null 2>/dev/null && echo y'), y)
+	CFLAGS ?= -Wall -g -I $$(ncurses5-config --includedir)
+	LDFLAGS ?= -L $$(ncurses5-config --libdir) $$(ncursesw5-config --libs)
+else ifeq ($(shell sh -c 'which ncursesw5-config>/dev/null 2>/dev/null && echo y'), y)
+		CFLAGS ?= -Wall -g -I $$(ncursesw5-config --includedir)
+		LDFLAGS ?= -L $$(ncursesw5-config --libdir) $$(ncursesw5-config --libs)
+endif
 
 tty-clock : ${SRC}
 
@@ -37,6 +42,7 @@
 	@echo "uninstalling manpage (${MANPATH})"
 	@rm -f ${MANPATH}/${BIN}.1
 	@echo "${BIN} uninstalled"
+
 clean :
 
 	@echo "cleaning ${BIN}"

=== debian/changelog ===
tty-clock (2.1-1ubuntu3) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:55:46 +0000

tty-clock (2.1-1ubuntu2) wily; urgency=medium

  * Fix build with ld --as-needed and link with -z relro.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Sep 2015 21:34:53 +0200

tty-clock (2.1-1) unstable; urgency=medium

  * new upstream patches
  * fix build in sid (Closes: #788749)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 16 Jun 2015 09:07:45 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 9), libncurses5-dev
 Standards-Version: 3.9.4
-Homepage: https://github.com/carla-v/tty-clock/
+Homepage: https://github.com/xorg62/tty-clock
 Vcs-Git: git://git.koumbit.net/tty-clock
 Vcs-Browser: https://redmine.koumbit.net/projects/tty-clock/repository

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)"
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -Wall -g -I $$(ncurses5-config --includedir)" \
+		LDFLAGS="$(LDFLAGS) $$(ncurses5-config --libs)"
 
 override_dh_auto_install:
 	PREFIX=/usr dh_auto_install

## tty-clock 2.3

=== Makefile ===
--- 
+++ 
@@ -10,18 +10,20 @@
 MANPATH = ${DESTDIR}${PREFIX}/share/man/man1
 
 ifeq ($(shell sh -c 'which ncurses5-config>/dev/null 2>/dev/null && echo y'), y)
-	CFLAGS ?= -Wall -g -I $$(ncurses5-config --includedir)
-	LDFLAGS ?= -L $$(ncurses5-config --libdir) $$(ncursesw5-config --libs)
+	CFLAGS += -Wall -g $$(ncurses5-config --cflags)
+	LDFLAGS += $$(ncurses5-config --libs)
 else ifeq ($(shell sh -c 'which ncursesw5-config>/dev/null 2>/dev/null && echo y'), y)
-		CFLAGS ?= -Wall -g -I $$(ncursesw5-config --includedir)
-		LDFLAGS ?= -L $$(ncursesw5-config --libdir) $$(ncursesw5-config --libs)
+		CFLAGS += -Wall -g $$(ncursesw5-config --cflags)
+		LDFLAGS += $$(ncursesw5-config --libs)
+else
+	CFLAGS += -Wall -g $$(pkg-config --cflags ncurses)
+	LDFLAGS += $$(pkg-config --libs ncurses)
 endif
 
 tty-clock : ${SRC}
 
-	@echo "build ${SRC}"
-	@echo "CC ${CFLAGS} ${LDFLAGS} ${SRC}"
-	@${CC} ${CFLAGS} ${SRC} -o ${BIN} ${LDFLAGS}
+	@echo "building ${SRC}"
+	${CC} ${CFLAGS} ${SRC} -o ${BIN} ${LDFLAGS}
 
 install : ${BIN}

=== debian/changelog ===
tty-clock (2.3-1) unstable; urgency=medium

  * new upstream release
  * remove needless make overrides now that upstream has a clean makefile

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 14 Jan 2017 22:08:31 -0500

tty-clock (2.2-1) unstable; urgency=medium

  * new upstream snapshot, tagged as 2.2
  * set time structure at the right moment, fixing clock delay
  * do not track patches in git, upstream responds
  * use virtual package for ncurses build-dep, they will drop the version

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 13 Jan 2017 17:04:23 -0500

tty-clock (2.1-3) unstable; urgency=medium

  * follow ncurses5 for now, until ncurses6 hits the archive, fixes builds
    on buildds

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 13 Jan 2017 15:12:09 -0500

tty-clock (2.1-2) unstable; urgency=medium

  * remove redundant hardcoded dependency on libncurses5, thanks Sven
    Joachim (Closes: #851245)
  * fix build with arbitrary ncurses versions (Closes: #851239)
  * point to github for debian VCS (Closes: #740693)
  * properly pass LDFLAGS to fix ld --as-needed (Closes: #799212)
  * bump dh compat to 10
  * bump standards to latest, no change
  * bump priority to optional, no reason it was extra
  * fix gbp sections for latest gbp versions
  * enable hardening flags, requires upstream patch

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 13 Jan 2017 10:11:07 -0500

=== debian/control ===
Source: tty-clock
Section: utils
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 10)
             , libncurses-dev
             , pkg-config
Standards-Version: 3.9.8
Homepage: https://github.com/xorg62/tty-clock
Vcs-Git: https://github.com/anarcat/tty-clock.git -b debian
Vcs-Browser: https://github.com/anarcat/tty-clock/tree/debian

Package: tty-clock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple terminal clock
 tty-clock is a simple ncurses-based clock that shows the time and date
 using a large display. It has a few commandline options to customize
 the output.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	PREFIX=/usr dh_auto_install

## tty-clock 2.3+git.20211121.f2f847c

=== Makefile ===
--- 
+++ 
@@ -2,19 +2,25 @@
 #Under BSD License
 #See clock.c for the license detail.
 
-SRC = ttyclock.c
+SRC = ttyclock.c ttyclock.h
 CC ?= gcc
-BIN = tty-clock
+BIN ?= tty-clock
 PREFIX ?= /usr/local
-INSTALLPATH = ${DESTDIR}${PREFIX}/bin
-MANPATH = ${DESTDIR}${PREFIX}/share/man/man1
+INSTALLPATH ?= ${DESTDIR}${PREFIX}/bin
+MANPATH ?= ${DESTDIR}${PREFIX}/share/man/man1
 
-ifeq ($(shell sh -c 'which ncurses5-config>/dev/null 2>/dev/null && echo y'), y)
+ifeq ($(shell sh -c 'which ncurses6-config>/dev/null 2>/dev/null && echo y'), y)
+	CFLAGS += -Wall -g $$(ncurses6-config --cflags)
+	LDFLAGS += $$(ncurses6-config --libs)
+else ifeq ($(shell sh -c 'which ncursesw6-config>/dev/null 2>/dev/null && echo y'), y)
+	CFLAGS += -Wall -g $$(ncursesw6-config --cflags)
+	LDFLAGS += $$(ncursesw6-config --libs)
+else ifeq ($(shell sh -c 'which ncurses5-config>/dev/null 2>/dev/null && echo y'), y)
 	CFLAGS += -Wall -g $$(ncurses5-config --cflags)
 	LDFLAGS += $$(ncurses5-config --libs)
 else ifeq ($(shell sh -c 'which ncursesw5-config>/dev/null 2>/dev/null && echo y'), y)
-		CFLAGS += -Wall -g $$(ncursesw5-config --cflags)
-		LDFLAGS += $$(ncursesw5-config --libs)
+	CFLAGS += -Wall -g $$(ncursesw5-config --cflags)
+	LDFLAGS += $$(ncursesw5-config --libs)
 else
 	CFLAGS += -Wall -g $$(pkg-config --cflags ncurses)
 	LDFLAGS += $$(pkg-config --libs ncurses)

=== debian/changelog ===
tty-clock (2.3+git.20211121.f2f847c-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:08:06 +0100

tty-clock (2.3+git.20211121.f2f847c-1) unstable; urgency=medium

  * Adopting package (Closes: #1031941).
  * New upstream release based on latest git commit.
  * Drop 0001-ttyclock.c-always-use-s-style-format-for-printf-styl.patch:
    - Applied in the upstream commit 4cfd730
  * Add 0003-Makefile-improve_cross_build.patch:
    - Improve cross build by changing hardcoded pkgconf
  * Copyright transferred to DEP-5 style

 -- DONG XU <me@eipi.fun>  Fri, 26 Jul 2024 14:24:56 +0900

tty-clock (2.3-5) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - debian/compat: removed.
  * debian/control:
      - Added Rules-Requires-Root field.
      - Added Vcs-* fields.
      - Build-Depends: changed from 'pkg-config' to 'pkgconf'.
      - Bumped Standards-Version to 4.7.0.
  * debian/gbp.conf:
      - Dropped field upstream tag.
      - Updated debian-branch to debian/master because conflict
        with gbp import-dsc.
  * debian/patches/0002_Makefile-improve_hardening.patch: created to improve
      hardening.
  * debian/salsa-ci.yml: Added to provide CI tests for Salsa.
  * debian/tests/control: Added a superficial test.
  * debian/upstream/metadata: Added upstream metadata information.
  * debian/watch:
      - Changed URL to "https://github.com/xorg62/tty-clock".
      - Updated the search rule the version to 4.

 -- Rony Joao de Sousa <ronyjdesousa@gmail.com>  Sat, 18 May 2024 21:04:56 -0300

tty-clock (2.3-4) unstable; urgency=medium

  * QA upload.
  * Drop Vcs-* fields, as they point to an obsolete repository.
  * Drop Debian menu file:
    - the Debian menu was deprecated more than 8 years ago
    - this menu entry has no icon

 -- Pino Toscano <pino@debian.org>  Sat, 27 Jan 2024 06:46:40 +0100

tty-clock (2.3-3) unstable; urgency=medium

  * orphan this package (#1031941)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 25 Feb 2023 14:36:53 -0500

tty-clock (2.3-2) unstable; urgency=medium

  * fix FTBFS (Closes: #997179)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 25 Feb 2023 14:05:47 -0500
